/*
 * IntList.h
 *
 *  Created on: Oct 14, 2008
 *      Author: bloch
 */

#ifndef FLOATLIST_H_
#define FLOATLIST_H_

#include <iostream>

class FloatList {
public:
	FloatList();
	virtual int length() const = 0;
	// note that this method is "pure virtual", equivalent to an
	// abstract method in Java
	virtual bool isEmpty() const = 0;
	virtual std::ostream& printList(std::ostream &out) const = 0;
	virtual ~FloatList();
};


std::ostream& operator<< (std::ostream& out, const FloatList &theList);
#endif /* FLOATLIST_H_ */
