/*
 * NonEmptyFloatList.h
 *
 *  Created on: Oct 14, 2008
 *      Author: bloch
 */

#ifndef NONEMPTYFLOATLIST_H_
#define NONEMPTYFLOATLIST_H_

#include "FloatList.h"

class NonEmptyFloatList: public FloatList {
private:
	float first;
	FloatList *rest;
public:
	NonEmptyFloatList(float firstArg, FloatList *restArg);
	float getFirst() const;
	FloatList *getRest() const;
	virtual int length() const;
	virtual bool isEmpty() const {
		return false;
	}
	virtual std::ostream& printList(std::ostream &out) const;
	virtual ~NonEmptyFloatList();
};

#endif /* NONEMPTYFLOATLIST_H_ */
