/*
 * IntList.h
 *
 *  Created on: Oct 14, 2008
 *  Revised Oct 2009
 *      Author: bloch
 */

#ifndef INTLIST_H_
#define INTLIST_H_

#include <iostream>

class IntList {
public:
	IntList();
	virtual int length() const = 0;
	// note that this method is "pure virtual", equivalent to an
	// abstract method in Java
	virtual bool isEmpty() const = 0;
	virtual std::ostream& printList(std::ostream &out) const = 0;
	virtual ~IntList();
};

std::ostream& operator<< (std::ostream& out, const IntList &theList);
#endif /* INTLIST_H_ */
